#version 330 core
#extension GL_ARB_separate_shader_objects : enable

uniform sampler2D uiTexture; 

smooth in vec2 texCoord; 
flat in vec4 colorPart; 

out vec4 FragColor; 

void main() 
{ 
  vec4 vTexColor = texture(uiTexture, texCoord); 
  FragColor = vTexColor*colorPart; 
}