#version 330 core
#extension GL_ARB_explicit_uniform_location : enable
#extension GL_ARB_separate_shader_objects : enable
 
layout(location = 0) in vec3 vertPosition;
 
uniform mat4 depthVP;
layout(location = 0) uniform mat4 model;
 
void main()
{
	gl_Position = depthVP * model * vec4(vertPosition, 1);
}