#version 330 core
#extension GL_ARB_explicit_uniform_location : enable
#extension GL_ARB_separate_shader_objects : enable

layout(location = 0) in vec3 vertPosition;

out vec3 texCoords;

uniform mat4 projection;
uniform mat4 view;

void main()
{
	mat4 view_mod = mat4(mat3(view));
	vec4 pos = projection * view_mod * vec4(vertPosition, 1);
	gl_Position = pos.xyww;
    texCoords = vertPosition;
} 